internal

1 endpoint
POST/rest/advancedForms/{id}/submissions

Create an upload link for an Advanced Form submission

Description:

Creates a subfolder under the form owner's folder for the submission, then returns an upload link that the Advanced Form client can use to upload the submitted files.

Precondition:

Caller must be an Advanced Forms client. The authenticated user must be the form owner.

Response:

Returns an upload link pointing to the newly created submission subfolder.
Parameters
Path Parameters
id
Required
string

The unique identifier (UUID) of the entity.


Request Body
name
Required
string

Name of the subfolder to create under the form owner's folder for this submission.

submitter
Required
string

Email address of the user submitting the form. Pass null to create an anonymous submission.


Responses

The submission subfolder and upload link have been successfully created.

ref
string

Upload ref

created
string

Date and time when the upload link was created.

parentId
integer

Unique identifier of the parent folder where files will be uploaded.

totalSize
integer

Total size of the upload in bytes.

uri
string

Relative URI of the upload link.

uploadUrl
string

The complete URL for the upload link.

Unauthorized

Possible error codes: ERR_AUTH_INVALID_CSRF, ERR_AUTH_UNAUTHORIZED

code
string

Error code

message
string

Error message

Forbidden

Possible error codes: ERR_ACCESS_USER, ERR_ACCESS_CLIENT

code
string

Error code

message
string

Error message

Not Found

Possible error codes: ERR_ENTITY_NOT_FOUND

code
string

Error code

message
string

Error message

Unprocessable Content

Possible error codes: ERR_INPUT_INVALID_FORMAT

code
string

Error code

message
string

Error message

Request blocked by WAF

Empty response body.
Shell
curl -X POST \
  "https://{instance}.kiteworks.com/rest/advancedForms/:id/submissions" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
         "name": "string",
         "submitter": "string"
       }'
Python
import requests

id = "VALUE"  # The unique identifier (UUID) of the entity.

url = f"https://{{instance}}.kiteworks.com/rest/advancedForms/{id}/submissions"
headers = {
    "Authorization": "Bearer YOUR_TOKEN",
    "Content-Type": "application/json",
}
payload = {
  "name": "string",
  "submitter": "string"
}
response = requests.post(url, headers=headers, json=payload)
print(response.json())
Responses
{ "ref": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "created": "2024-01-15", "parentId": 1, "totalSize": 1, "uri": "string", "uploadUrl": "string" }
{ "errors": [ { "code": "ERR_AUTH_INVALID_CSRF", "message": "Invalid CSRF Authentication" } ] }
{ "errors": [ { "code": "ERR_AUTH_UNAUTHORIZED", "message": "Unauthorized" } ] }
{ "errors": [ { "code": "ERR_ACCESS_USER", "message": "Insufficient access permissions" } ] }
{ "errors": [ { "code": "ERR_ACCESS_CLIENT", "message": "Insufficient access permissions" } ] }
{ "errors": [ { "code": "ERR_ENTITY_NOT_FOUND", "message": "Entity does not exist" } ] }
{ "errors": [ { "code": "ERR_INPUT_INVALID_FORMAT", "message": "The input is invalid." } ] }
// Error - No Body